<div class="loading" *ngIf="isLoading">
  <span>
    <img id="loading-image" src="assets/images/spinner.gif" alt="Loading..." />
    <label>Please Wait....</label>
  </span>
</div>
<!-- *ngIf="isloadingredirect" -->
<div class="loading" style="background:#1f4367" *ngIf="isloadingredirect">
  <span>
    <label>you are being redirected to bank site for setting for the auto repayment method.</label>
    <br><img id="loading-image" src="assets/images/spinner.gif" alt="Loading..." /><br>
    <label>Please do not leave or close this page.</label>
  </span>
</div>
<div class="my-box-wallet verification" style="height: auto;">
  <div class="container">
    <!-- <div class="main-heading">
      Verification Form
    </div> -->
    <div class="stepwizard col-md-6 col-sm-8 col-md-offset-3 col-sm-offset-2 col-xs-12">
      <div class="stepwizard-row setup-panel">
        <div class="stepwizard-step">
          <a href="javascript:void(0)" type="button" [ngClass]="step1class">1</a>
          <p>Verify Identify</p>
        </div>
        <div class="stepwizard-step">
          <a href="javascript:void(0)" type="button" [ngClass]="step2class">2</a>
          <p>Accept Offer</p>
        </div>
        <div class="stepwizard-step">
          <a href="javascript:void(0)" type="button" [ngClass]="step3class">3</a>
          <p>Set-up Auto Repayment</p>
        </div>
      </div>
    </div>


    <div>
      <form (ngSubmit)="PanDetailSubmit(panform,verifyDetail)" #panform="ngForm" role="form" novalidate class="row setup-content"
        id="step-1" *ngIf="shownstep1">
        <div class="col-xs-12 col-sm-8 col-md-6 col-sm-offset-2 col-md-offset-3 set-upcontentinner">
          <div class="col-md-12">
            <h3></h3>
            <p>Please share the following details to proceed with MyBox EMI registration. <a href="javascript:void(0)">Learn
                More</a> </p>
            <!-- <div class="form-group">
              <label class="control-label">PAN</label>
              <input maxlength="10" name="PanNumber" minlength="10" pattern="^([a-zA-Z]){5}([0-9]){4}([a-zA-Z]){1}?$" type="text" [(ngModel)]="panidentity.PanNumber"
                #PanNumber="ngModel" class="form-control" placeholder="Enter Your Pan" required/>
              <div *ngIf="panform.submitted && PanNumber.errors" class="error">
                <div [hidden]="!PanNumber.errors.required">
                  *Pan number is required
                </div>
                <div [hidden]="!PanNumber.errors.pattern">
                  *Please enter valid pan number
                </div>

              </div>
            </div> -->
            <!-- <div class="form-group">
              <label class="control-label">Aadhar Number</label>
              <input maxlength="12" name="AadharNumber" pattern="[0-9]+" minlength="12" type="text" [(ngModel)]="panidentity.AadharNumber"
                #AadharNumber="ngModel" class="form-control" placeholder="Enter Aadhar Number" required />
              <img src="assets/images/qrgen.png" (click)="start()" style="    height: 50px;
                float: right;">
              <div *ngIf="panform.submitted && AadharNumber.errors" class="error">
                <div [hidden]="!AadharNumber.errors.required">
                  *Aadhar Number is required
                </div>
                <div [hidden]="!AadharNumber.errors.pattern">
                  *Please enter valid Aadhar Number
                </div>
                <div [hidden]="!AadharNumber.errors.minlength">
                  *Please enter valid Aadhar Number(12 digits)
                </div>

              </div>
            </div> -->

            <div *ngIf="!isShowverification">
              <div class="form-group">
                <label class="control-label">First Name</label>
                <input name="FirstName" type="text" [(ngModel)]="panidentity.FirstName"
                  #FirstName="ngModel" class="form-control" placeholder="Enter Your First Name" />
                <!-- <div *ngIf="panform.submitted && FirstName.errors" class="error">
                        <div [hidden]="!FirstName.errors.required">
                          *First Name is required
                        </div>
                      </div> -->
              </div>

              <div class="form-group">
                <label class="control-label">Last Name</label>
                <input name="LastName"  type="text" [(ngModel)]="panidentity.LastName"
                  #LastName="ngModel" class="form-control" placeholder="Enter Your Last Name" />
                <!-- <div *ngIf="panform.submitted && LastName.errors" class="error">
                        <div [hidden]="!LastName.errors.required">
                          *Pan number is required
                        </div>
                      </div> -->
              </div>

              <div class="form-group">
                <label class="control-label">Mobile Number</label>
                <input name="Mobile" type="text" [(ngModel)]="panidentity.Mobile" #Mobile="ngModel"
                  class="form-control" placeholder="Enter Your Mobile Number" required />
                <div *ngIf="panform.submitted && Mobile.errors" class="error">
                  <div [hidden]="!Mobile.errors.required">
                    Please enter mobile no.
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Email ID</label>
                <input name="Email" type="text" [(ngModel)]="panidentity.Email" #Email="ngModel" class="form-control"
                  placeholder="Enter Your Email ID" required pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" />
                <div *ngIf="panform.submitted && Email.errors" class="error">
                  <div [hidden]="!Email.errors.required">
                    Please enter Email ID
                  </div>
                  <div [hidden]="!Email.errors.pattern">
                    Please enter a valid email address
                  </div>
                </div>
              </div>

              <div class="form-group">
                  <label class="control-label">Aadhar Number</label>
                  <input maxlength="12" name="AadharNumber" pattern="[0-9]+" minlength="12" type="text" [(ngModel)]="panidentity.AadharNumber"
                    #AadharNumber="ngModel" class="form-control" placeholder="Enter Aadhar Number" required />
                  <p>OTP will be sent to the mobile number registered to your Aadhar number</p>
                  <img src="assets/images/qrgen.png" (click)="start()" style="height: 50px;
                    float: right;">
                  <div *ngIf="panform.submitted && AadharNumber.errors" class="error">
                    <div [hidden]="!AadharNumber.errors.required">
                      *Aadhar Number is required
                    </div>
                    <div [hidden]="!AadharNumber.errors.pattern">
                      *Please enter valid Aadhar Number
                    </div>
                    <div [hidden]="!AadharNumber.errors.minlength">
                      *Please enter valid Aadhar Number(12 digits)
                    </div>
                  </div>
                </div>

              <div class="form-group">
                <label class="control-label">PAN</label>
                <input maxlength="10" name="PanNumber" minlength="10" pattern="^([a-zA-Z]){5}([0-9]){4}([a-zA-Z]){1}?$"
                  type="text" [(ngModel)]="panidentity.PanNumber" #PanNumber="ngModel" class="form-control" placeholder="Enter Your Pan"
                  required />
                <div *ngIf="panform.submitted && PanNumber.errors" class="error">
                  <div [hidden]="!PanNumber.errors.required">
                    *Pan number is required
                  </div>
                  <div [hidden]="!PanNumber.errors.pattern">
                    *Please enter valid pan number
                  </div>
                </div>
              </div>             

              <div class="form-group">
                <label class="control-label">Date of Birth</label>
                <input name="DOB" type="text" [(ngModel)]="panidentity.DOB" #DOB="ngModel" class="form-control"
                  placeholder="DD-MM-YYYY" required />
                <div *ngIf="panform.submitted && DOB.errors" class="error">
                  <div [hidden]="!DOB.errors.required">
                    Please enter Date of Birth
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Gender</label>
                <div class="col-xs-3">
                  <input name="Gender" value="Male" type="radio" [(ngModel)]="panidentity.Gender" #Gender="ngModel"
                    required />
                  <span>Male</span>
                </div>
                <div class="col-xs-3">
                  <input name="Gender" value="Female" type="radio" [(ngModel)]="panidentity.Gender" #Gender="ngModel"
                    required />
                  <span>Female</span>
                </div>
                <div *ngIf="panform.submitted && Gender.errors" class="error">
                  <div [hidden]="!Gender.errors.required">
                    Please select Gender
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Marrital Status</label>
                <div class="col-xs-3">
                  <input name="MarritalStatus" type="radio" value="Single" [(ngModel)]="panidentity.MarritalStatus"
                    #MarritalStatus="ngModel" required (change)="MarritalStatusChange('Single')" />
                  <span>Single</span>
                </div>
                <div class="col-xs-3">
                  <input name="MarritalStatus" type="radio" value="Married" [(ngModel)]="panidentity.MarritalStatus"
                    #MarritalStatus="ngModel" required (change)="MarritalStatusChange('Married')" />
                  <span>Married</span>
                </div>
                <div *ngIf="panform.submitted && MarritalStatus.errors" class="error">
                  <div [hidden]="!MarritalStatus.errors.required">
                    Please select Marital Status
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Address Line-1</label>
                <input name="Address1" type="text" [(ngModel)]="panidentity.Address1" #Address1="ngModel" class="form-control"
                  required />
                <div *ngIf="panform.submitted && Address1.errors" class="error">
                  <div [hidden]="!Address1.errors.required">
                    Please enter Address
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Address Line-2</label>
                <input name="Address2" type="text" [(ngModel)]="panidentity.Address2" #Address2="ngModel" class="form-control" required />
                <div *ngIf="panform.submitted && Address2.errors" class="error">
                  <div [hidden]="!Address2.errors.required">
                    Please enter Address
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Landmark</label>
                <input name="Landmark" type="text" [(ngModel)]="panidentity.Landmark" #Landmark="ngModel" class="form-control" />
              </div>

              <div class="form-group">
                <label class="control-label">State</label>
                <select class="form-control" name="State" [(ngModel)]="panidentity.State" #State="ngModel" required>
                  <option value="">Select</option>
                  <option>Example</option>
                </select>
                <div *ngIf="panform.submitted && State.errors" class="error">
                  <div [hidden]="!State.errors.required">
                    Please enter State
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">City</label>
                <select class="form-control" name="City" [(ngModel)]="panidentity.City" #City="ngModel" required>
                  <option value="">Select</option>
                  <option>Example</option>
                </select>
                <div *ngIf="panform.submitted && City.errors" class="error">
                  <div [hidden]="!City.errors.required">
                    Please Fill City
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Pin Code</label>
                <input name="PinCode" type="text" [(ngModel)]="panidentity.PinCode" #PinCode="ngModel" class="form-control" required />
                <div *ngIf="panform.submitted && PinCode.errors" class="error">
                  <div [hidden]="!PinCode.errors.required">
                    Please enter Pin code
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Father's First Name</label>
                <input name="FathersFirstName" type="text" [(ngModel)]="panidentity.FathersFirstName" #FathersFirstName="ngModel"
                  class="form-control" required />
                <div *ngIf="panform.submitted && FathersFirstName.errors" class="error">
                  <div [hidden]="!FathersFirstName.errors.required">
                    Please enter Father's First Name
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Father's Last Name</label>
                <input name="FathersLastName" type="text" [(ngModel)]="panidentity.FathersLastName" #FathersLastName="ngModel"
                  class="form-control" required />
                <div *ngIf="panform.submitted && FathersLastName.errors" class="error">
                  <div [hidden]="!FathersLastName.errors.required">
                    Please enter Father's Last Name
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Mother's First Name</label>
                <input name="MothersFirstName" type="text" [(ngModel)]="panidentity.MothersFirstName" #MothersFirstName="ngModel"
                  class="form-control" required />
                <div *ngIf="panform.submitted && MothersFirstName.errors" class="error">
                  <div [hidden]="!MothersFirstName.errors.required">
                    Please enter Mother's First Name
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Mother's Last Name</label>
                <input name="MothersLastName" type="text" [(ngModel)]="panidentity.MothersLastName" #MothersLastName="ngModel"
                  class="form-control" required />
                <div *ngIf="panform.submitted && MothersLastName.errors" class="error">
                  <div [hidden]="!MothersLastName.errors.required">
                    Please senter Mother's Last Name
                  </div>

                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Spouse's First Name</label>
                <input name="SpousesFirstName" type="text" [(ngModel)]="panidentity.SpousesFirstName" #SpousesFirstName="ngModel"
                  class="form-control" required [disabled]="!IsSpouseEnable" />
                <div *ngIf="panform.submitted && SpousesFirstName.errors" class="error">
                  <div [hidden]="!SpousesFirstName.errors.required">
                    Please enter Spouse's First Name
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label">Spouse's Last Name</label>
                <input name="SpousesLastName" type="text" [(ngModel)]="panidentity.SpousesLastName" #SpousesLastName="ngModel"
                  class="form-control" required [disabled]="!IsSpouseEnable" />
                <div *ngIf="panform.submitted && SpousesLastName.errors" class="error">
                  <div [hidden]="!SpousesLastName.errors.required">
                    Please enter Spouse's Last Name
                  </div>
                </div>
              </div>
            </div>

            <div class="form-group" *ngIf="isShowverification">
              <div>
                <div class="col-xs-6">
                  <label>Aadhar Number</label>
                </div>
                <div class="col-xs-6">
                  <label>******4443</label>
                </div>
              </div>
              <div>
                <div class="col-xs-6">
                  <label>PAN</label>
                </div>
                <div class="col-xs-6">
                  <label>*****444Z</label>
                </div>
              </div>

              <label class="control-label">Verification OTP <a href="javascript:void(0)" class="pull-right" (click)="ResendOTP()">
                  Resend OTP </a></label>
              <input maxlength="6" #otp="ngModel" name="otp" [(ngModel)]="panidentity.otp" type="text" class="form-control"
                placeholder="Enter OTP" />
              <p>OTP has been sent to the mobile number registered to your Aadhar Number</p>

            </div>
            <div class="form-group" *ngIf="!isShowverification">
              <div class="checkbox">
                <label><input type="checkbox" (change)="TermConditionChecked($event)"> I agree to MyBox EMI <a href="JavaScript:Void(0)">Terms
                    and Conditions</a></label>
              </div>
            </div>
            <div class="form-group" *ngIf="isShowverification">
              <button type="submit" class="btn btn-primary nextBtn continue-button btn-lg">Continue</button>
              <a href="javascript:void(0)" (click)="Cancel()" class="cancel-link pull-right" data-toggle="modal"
                data-target="#indentify-modal" onclick="CancleEligibility()">Cancel</a>
            </div>
            <div class="form-group" *ngIf="!isShowverification">
              <button type="submit" class="btn btn-primary nextBtn continue-button btn-lg">Agree And Continue</button>
              <a href="javascript:void(0)" (click)="openIdentityDetails(verifyDetail)" class="cancel-link pull-right"
                data-toggle="modal" data-target="#indentify-modal" (click)="Cancel()" onclick="CancleEligibility()">Cancel</a>
            </div>

          </div>
        </div>
      </form>
      <div class="row setup-content" id="step-2" *ngIf="shownstep2">
        <div class="col-xs-12 col-sm-8 col-md-6 col-sm-offset-2 col-md-offset-3 set-upcontentinner">
          <div class="col-md-12">
            <h3> Accept Offer </h3>
            <div class="accept-offersection">
              <div class="col-md-4">
                <img src="assets/images/accept-offerimage.png" alt="Accept Offer">
              </div>
              <div class="col-md-8 p-0">
                <h4>You Are Approved For 1,00,000</h4>
                <p>This limit can be used for multiple purchases on MyBox. Your EMIs will start only after purchase.</p>
              </div>
            </div>
            <!-- <div class="form-group">
              <label class="control-label">EMI</label>
              <input maxlength="100" type="text" class="form-control emi-formcontrol" placeholder="Enter Aadhar Number" />              <a
                href="javascript:void(0);" (click)="openIdentityDetails(emiDetail)" class="emi-tablelink">EMI Table</a>
            </div> -->
            <!-- <div class="form-group">
              <div class="checkbox">
                <label><input type="checkbox" (change)="AcceptOfferCheckEvent($event)"> I accept Capital First <a href="javascript:void(0)">Loan
                    Agreement
                  </a> and agree to fulfill and related requirements.</label>
              </div>
            </div> -->
            <div class="form-group">
              <button class="btn btn-primary nextBtn continue-button btn-lg" (click)="Step2Submit()" type="button">Done
              </button>
              <a href="javascript:void(0)" (click)="Cancel()" onclick="CancleEligibility()" class="cancel-link pull-right">Cancel</a>
            </div>
          </div>
        </div>
      </div>
      <form class="row setup-content" (ngSubmit)="Step3Submit(debitform)" #debitform="ngForm" role="form" id="step-3"
        *ngIf="shownstep3">
        <div class="col-xs-12 col-sm-8 col-md-6 col-sm-offset-2 col-md-offset-3 set-upcontentinner">
          <div class="col-md-12">
            <h3> Set-up Auto Repayment </h3>
            <div class="form-group" *ngIf="showPaymentoption">
              <label class="checkbox-inline"><input type="radio" name="paymentrdo" (change)="DebitCardCheck($event)"
                  value="">Debit
                Card
              </label>
              <label class="checkbox-inline"><input type="radio" name="paymentrdo" (change)="eNACHChecked($event)"
                  value="">eNACH</label>
              <a href="javascript:void(0)" class="what-enach">What Is eNACH</a>
            </div>
            <div class="form-group" *ngIf="showbankdetail">
              <p>Link your debit card or bank account to <b>Repay EMI automatically on due dates</b></p>
              <label class="control-label">Bank Name</label>
              <select class="form-control" (change)="ShowDebitCardSection($event)">
                <option value="">--Select Bank--</option>
                <option value="1">SBI</option>
                <option value="2">Axis</option>
              </select>
            </div>


            <div class="form-group" *ngIf="ShowDebitCardDetail">
              <label class="control-label">Debit Card Number </label>

              <input maxlength="16" pattern="[0-9]+" name="DebitCardNumber" minlength="16" type="text" [(ngModel)]="DebitdetailModel.DebitCardNumber"
                #DebitCardNumber="ngModel" class="form-control" placeholder="Enter Debit card number" required>
              <div *ngIf="debitform.submitted && DebitCardNumber.errors" class="error">
                <div [hidden]="!DebitCardNumber.errors.required">
                  *Card number is required
                </div>
                <div [hidden]="!DebitCardNumber.errors.minlength">
                  *Please enter valid Debit card number
                </div>
                <div [hidden]="!DebitCardNumber.errors.pattern">
                  *Please 16 digit Debit card number
                </div>

              </div>
            </div>
            <div class="form-group" *ngIf="ShowDebitCardDetail">
              <label class="control-label">Debit Card Holder Name </label>
              <input maxlength="40" name="DebitcardHolderName" type="text" [(ngModel)]="DebitdetailModel.DebitcardHolderName"
                #DebitcardHolderName="ngModel" class="form-control" placeholder="Enter Debit card Holder Name" required>
              <div *ngIf="debitform.submitted && DebitcardHolderName.errors" class="error">
                <div [hidden]="!DebitcardHolderName.errors.required">
                  *Card Holder name is required
                </div>
              </div>
            </div>
            <div class="form-group expiry-group" *ngIf="ShowDebitCardDetail">
              <div class="col-md-6 p-0">
                <label class="control-label">Expiry</label>
                <div class="col-md-6 p-0">
                  <select class="form-control">
                    <option value="1">Jan</option>
                    <option value="2">Feb</option>
                    <option value="3">Mar</option>
                    <option value="4">Apr</option>
                    <option value="5">May</option>
                    <option value="6">Jun</option>
                    <option value="7">Jul</option>
                    <option value="8">Aug</option>
                    <option value="9">Sep</option>
                    <option value="10">OCt</option>
                    <option value="11">Nov</option>
                    <option value="12">Dec</option>
                  </select>
                </div>
                <div class="col-md-6 pr-0" *ngIf="ShowDebitCardDetail">
                  <select class="form-control">
                    <option value="1">2018</option>
                    <option value="2">2019</option>
                    <option value="3">2020</option>
                    <option value="4">2021</option>
                    <option value="5">2022</option>
                    <option value="6">2023</option>
                  </select>
                </div>
              </div>
              <div class="col-md-6 pr-0" *ngIf="ShowDebitCardDetail">
                <label class="control-label">CVV</label>
                <input name="CVV" type="text" minlength="3" maxlength="4" pattern="[0-9]+" [(ngModel)]="DebitdetailModel.CVV"
                  #CVV="ngModel" class="form-control" placeholder="CVV" required>
                <div *ngIf="debitform.submitted && CVV.errors" class="error">
                  <div [hidden]="!CVV.errors.required">
                    *CVV is required
                  </div>
                  <div [hidden]="!CVV.errors.pattern">
                    *Please enter valid CVV
                  </div>
                  <div [hidden]="!CVV.errors.minlength">
                    *Please enter valid CVV
                  </div>
                </div>
              </div>
              <div class="form-group" style="border: 2px solid lightblue;
              padding: 10px;    margin-top: 11px;"
                *ngIf="ShowDebitCardDetail">
                <p>To verify your Debit card details,we will debit upto Rs. 5 from your account. We will refund this
                  amount
                  in next 3 working days</p>
              </div>
            </div>
            <div class="form-group" *ngIf="ShowDebitCardDetail">
              <button class="btn btn-primary nextBtn continue-button btn-lg" onclick="myFunction()" type="submit">Agree
                And
                Continue</button>
              <a href="javascript:Void(0)" (click)="Cancel()" class="cancel-link pull-right" onclick="CancleEligibility()">Cancel</a>
            </div>
          </div>
        </div>
      </form>






    </div>

  </div>

</div>



<modal #verifyDetail id="indentify-modal" class="indentify-content">
  <!-- <modal-header>
    <h4 class="modal-title">Verify Identify</h4>
  </modal-header> -->
  <modal-content>

    <!-- First Steps -->
    <div *ngIf="islevel1notprocessing">
      <img class="dot">
      <div class="processingdiv">Verifying Details.<br>
      </div>

    </div>
    <div *ngIf="islevel1processing">
      <img src="assets/images/spinner.gif" class="processingimage">
      <div class="processingdiv">Verifying Details.<br> Processing....
      </div>
    </div>
    <div class="circle-loader load-complete" *ngIf="islevel1processed">
      <div class="checkmark draw" style="display: block;"></div>

    </div>
    <div class="processingdiv1" *ngIf="islevel1processed">Verifying Details.<br>
    </div>

    <div class="vl"></div>

    <!-- Second Steps -->
    <!-- <div *ngIf="islevel2processing">
      <img src="assets/images/spinner.gif" class="processingimage"><div div class="processingdiv">Evaluate Profile.<br> Processing....
      </div>
    </div>

    <div *ngIf="islevel2notprocessing">
      <img class="dot"><div class="processingdiv1">Evaluate Profile.<br>
      </div>

    </div>
    <div class="circle-loader load-complete" *ngIf="islevel2processed">
      <div class="checkmark draw" style="display: block;"></div>

    </div>
    <div class="processingdiv1" *ngIf="islevel2processed">Evaluate Profile.
    </div>
    <div class="vl"></div> -->
    <!-- Third Steps -->
    <div *ngIf="islevel3processing">
      <img src="assets/images/spinner.gif" class="processingimage">
      <div class="processingdiv">Finalizing Limit<br> Processing....
      </div>
    </div>
    <div *ngIf="islevel3notprocessing">
      <img class="dot">
      <div class="processingdiv">Finalizing Limit.<br>
      </div>

    </div>
    <div class="circle-loader load-complete" *ngIf="islevel3processed">
      <div class="checkmark draw" style="display: inline-block;"></div>
    </div>
    <div class="processingdiv1" *ngIf="islevel3processed">Finalizing Limit.
    </div>
    <p class="eleigibiity-procedure"> It just take few seconds to complete.</p>
    <p class="eleigibiity-procedure2"> Please don't close or leave this page</p>


  </modal-content>
  <!-- <modal-footer>

    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
  </modal-footer> -->


</modal>

<modal #emiDetail id="emitable-modal" class="indentify-content emitable-content" role="dialog">
  <!-- <div class="modal-dialog"> -->

  <modal-header>
    <h4 class="modal-title">EMI</h4>
  </modal-header>
  <!-- Modal content-->
  <!-- <div class="modal-content"> -->
  <!-- <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><i class="fa fa-close" aria-hidde="true"></i></button>
        <h4 class="modal-title">EMI</h4>
      </div> -->
  <!-- <div class="modal-body"> -->
  <modal-content>
    <div class="form-group col-md-12">
      <label class="control-label">EMI</label>
      <input class="form-control" type="text">
    </div>
    <div class="payment-chart">
      <h2>Break-up of Total Payment</h2>
    </div>
    <div class="emipayment-table col-sm-12">
      <table class="table table-responsive table-bordered">
        <thead>
          <tr>
            <th>Months</th>
            <th>EMI</th>
            <th>Principal</th>
            <th>Interest</th>
            <th>Balance</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>1</td>
            <td>10,464</td>
            <td>9,631</td>
            <td>833</td>
            <td>90,369</td>
          </tr>
          <tr>
            <td>2</td>
            <td>10,464</td>
            <td>9,631</td>
            <td>833</td>
            <td>90,369</td>
          </tr>
        </tbody>
      </table>
    </div>
  </modal-content>
  <!-- <div class="modal-footer"> -->
  <modal-footer>
    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
    <!-- </div> -->
  </modal-footer>
  <!-- </div> -->

  <!-- </div> -->
</modal>
<div [hidden]="!showQr">
  <div class="modal-backdrop fade in" ng-class="{in: animate}" ng-style="{'z-index': 1040 + (index &amp;&amp; 1 || 0) + index*10}"
    modal-backdrop="" style="z-index: 1040;"></div>
  <div tabindex="-1" role="dialog" class="field-popup modal fade ng-isolate-scope in" ng-class="{in: animate}" ng-style="{'z-index': 1050 + index*10, display: 'block'}"
    modal-window="" index="0" animate="animate" style="z-index: 1050; display: block;">
    <div class="modal-dialog" ng-class="{'modal-sm': size == 'sm', 'modal-lg': size == 'lg'}">
      <div class="modal-content" modal-transclude="">
        <div class="modal-content ng-scope">
          <div class="modal-header">

            <p style="
                              font-size: 18px;">Scan Qr Code</p>

            <button type="button" class="close" (click)="CloseQrScanning()" style="position: absolute; right: 0;">
              &times;&nbsp;</button>
          </div>
          <!-- <button type="button" class="close" (click)="dedupeFalse()" style="position: absolute; right: 0;"> &times;&nbsp;</button> -->
          <!--<div class="modal-body" style="overflow:hidden !important"> -->
          <div class="modal-body" style="max-height: 500px;">
            <label class="control-label msg " style="
                                  font-size: 14px;
                                  margin-bottom: 15px;
                              ">To
              Scan your code please ensure image quality is good.</label>
            <!-- {{ Qrdata }} -->
            <h1></h1>
            <!-- <button (click)="start()" value="start">start Scan</button> -->
            <!-- <video #videoElement></video> -->
            <div id="loadingMessage">🎥 Unable to access video stream (please make sure you have a webcam enabled)</div>
            <canvas id="canvas" class="col-md-12" hidden></canvas>
            <div id="output" hidden>
              <div id="outputMessage">No QR code detected.</div>
              <div hidden><b>Data:</b> <span id="outputData"></span></div>
            </div>

          </div>
          <br>
        </div>
      </div>
    </div>
  </div>
</div>